Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.convention
Class DefaultActionNameBuilder

    java.lang.Object
      org.apache.struts2.convention.DefaultActionNameBuilder

All Implemented Interfaces:
  ActionNameBuilder

    public class DefaultActionNameBuilder

extends Object
implements ActionNameBuilder

This class strips the word Action from the end of the class name and possibly lowercases the name as well depending on the value of the constant struts.convention.action.name.lowercase. If the constant is set to true, this class will lowercase all action names.

Constructor Summary
`DefaultActionNameBuilder(String lowerCase)`

Method Summary
`String` | `build(String className)` Given the name of the class, this method should build an action name.
`void` | `setActionSuffix(String actionSuffix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultActionNameBuilder

    public DefaultActionNameBuilder(String lowerCase)

Method Detail

### setActionSuffix

    public void setActionSuffix(String actionSuffix)

  Parameters:
    `actionSuffix` - (Optional) Classes that end with these value will be mapped as actions (defaults to "Action")

### build

    public String build(String className)

  Description copied from interface: `ActionNameBuilder`
  Given the name of the class, this method should build an action name.

  Specified by:
    `build` in interface `ActionNameBuilder`
  Parameters:
    `className` - The class name.
  Returns:
    The action name and never null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.